from os import makedirs
from os.path import isdir, join, expanduser

DATA_PATH = expanduser("~/jarbas_hivemind")
if not isdir(DATA_PATH):
    makedirs(DATA_PATH)

CERTS_PATH = join(DATA_PATH, "certs")
if not isdir(CERTS_PATH):
    makedirs(CERTS_PATH)

DEFAULT_SSL_CRT = join(CERTS_PATH, "hivemind.crt")
DEFAULT_SSL_KEY = join(CERTS_PATH, "hivemind.key")

DB_PATH = join(DATA_PATH, "database")
if not isdir(DB_PATH):
    makedirs(DB_PATH)

CLIENTS_DB = "sqlite:///" + join(DB_PATH, "clients.db")

DEFAULT_PORT = 5678
USE_SSL = False

LOG_BLACKLIST = []

MYCROFT_WEBSOCKET_CONFIG = {
    "host": "0.0.0.0",
    "port": 8181,
    "route": "/core",
    "ssl": False
}
